Bug 1324641 - Duplicity out of date, suffers from data corruption bug
Summary: Duplicity out of date, suffers from data corruption bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: duplicity
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Andy Grover
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-06 21:01 UTC by Steven Barre
Modified: 2016-05-03 16:35 UTC (History)
2 users (show)

Fixed In Version: duplicity-0.6.26-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-03 16:35:42 UTC


Attachments (Terms of Use)
0.6.26 SRC RPM (1.22 MB, application/x-rpm)
2016-04-06 21:59 UTC, Steven Barre
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1252484 None None None 2016-04-06 21:01:58 UTC

Description Steven Barre 2016-04-06 21:01:59 UTC
The bug described at https://bugs.launchpad.net/duplicity/+bug/1252484 is fixed in 0.6.23, but epel v6 currently has 0.6.22

Current latest stable is 0.6.26 http://duplicity.nongnu.org/

Could you please update to latest 0.6 release to resolve this and other bugs.

I've had some backups corrupted due to the bug mentioned above.

Comment 1 Fedora Update System 2016-04-06 21:41:24 UTC
duplicity-0.6.26-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f67f89a03

Comment 2 Steven Barre 2016-04-06 21:59:03 UTC
Created attachment 1144448 [details]
0.6.26 SRC RPM

Updated spec file and rebuilt with mock. Haven't installed new RPM or tested it yet.

Comment 3 Steven Barre 2016-04-06 22:32:59 UTC
Test install shows I need to add
Requires: python-lockfile

Test restore on a corrupted backup completes (skips corrupt files, as expected).

Let me know if there's anything else I can do to help move this along.

Comment 4 Fedora Update System 2016-04-06 22:58:40 UTC
duplicity-0.6.26-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d452412be8

Comment 5 Andy Grover 2016-04-06 22:59:54 UTC
python-lockfile dep added, please try

http://koji.fedoraproject.org/koji/taskinfo?taskID=13578636 

and let me know if you find any more issues, thanks!

Comment 6 Steven Barre 2016-04-07 00:01:11 UTC
Works great! What's the next step to get it in EPEL?

Comment 7 Andy Grover 2016-04-07 05:08:45 UTC
It's already submitted to updates-testing so once it gets +3 karma (by testers giving positive feedback) or two weeks pass then I can push it to the main epel6 repo.

Comment 8 Fedora Update System 2016-04-07 20:20:44 UTC
duplicity-0.6.26-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d452412be8

Comment 9 Fedora Update System 2016-05-03 16:35:40 UTC
duplicity-0.6.26-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.